#!/bin/bash

package=evince
version=-2.24.2

progname=$0

source ../../cascade-make/lib/cascade-lib.bash

prefix=$GEXTMUSICSTAND_INSTALLED

export CFLAGS="-I$prefix/include"
export LDFLAGS="-L$prefix/lib"

if [ ! -z $CROSSCOMPILE ] ; then
  export LDFLAGS="$LDFLAGS -L/usr/local/poky/eabi-glibc/arm/lib/"

  # Needs a bit of help so it can pass the test that looks for
  # 'dbus-binding-tool'

  export PATH=$PATH:/usr/local/poky/eabi-glibc/arm/arm-poky-linux-gnueabi/usr/bin
fi


opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version "$prefix" \
    --disable-scrollkeeper --without-keyring

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
